Package org.apache.tapestry5.internal.services

## Class RequestConstants

- java.lang.Object
- - org.apache.tapestry5.internal.services.RequestConstants

-     public final class RequestConstants
      extends Object

  Constants used when processing requests from the client web browser.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONTEXT_FOLDER` | Virtual folder name for assets that are actually stored in the context, but are exposed (much like classpath assets) to gain far-future expires headers and automatic content compression.
    `static String` | `FORM_CLIENTID_PARAMETER` | Name of parameter, in an Ajax update, that identifies the client-side id of the `Form` being extended.
    `static String` | `FORM_COMPONENTID_PARAMETER` | The server-side part of `FORM_CLIENTID_PARAMETER` identifying the server-side component id.
    `static String` | `STACK_FOLDER` | Folder for combined `JavaScriptStack` JavaScript files.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_FOLDER

          public static final String CONTEXT_FOLDER

      Virtual folder name for assets that are actually stored in the context, but are exposed (much like classpath assets) to gain far-future expires headers and automatic content compression.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### STACK_FOLDER

          public static final String STACK_FOLDER

      Folder for combined `JavaScriptStack` JavaScript files. The path consists of the locale (as a folder) and the name of the stack (suffixed with ".js").
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### FORM_CLIENTID_PARAMETER

          public static final String FORM_CLIENTID_PARAMETER

      Name of parameter, in an Ajax update, that identifies the client-side id of the `Form` being extended. Used with `Zone` and other similar components that may be contained within a form.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### FORM_COMPONENTID_PARAMETER

          public static final String FORM_COMPONENTID_PARAMETER

      The server-side part of `FORM_CLIENTID_PARAMETER` identifying the server-side component id.
      Since:
        5.2.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestConstants

          public RequestConstants()